ICU 76.1: Data Fields - Functions

ICU 76.1 76.1

Here is a list of all documented functions with links to the struct/union documentation for each field:

### - i -

- identityFallback() : icu::number::NumberRangeFormatterSettings< Derived >
- IDNAInfo() : icu::IDNAInfo
- increment() : icu::number::Precision
- incrementExact() : icu::number::Precision
- inDaylightTime() : icu::Calendar, icu::RuleBasedTimeZone, icu::SimpleTimeZone, icu::TimeZone, icu::VTimeZone
- indexOf() : icu::UnicodeSet, icu::UnicodeString
- init() : icu::FontRuns, icu::LocaleRuns, icu::RunArray, icu::ValueRuns
- initCurrency() : icu::MeasureUnit
- InitialTimeZoneRule() : icu::InitialTimeZoneRule
- initMeasureFormat() : icu::MeasureFormat
- initTime() : icu::MeasureUnit
- input() : icu::message2::data_model::Binding, icu::RegexMatcher
- inputText() : icu::RegexMatcher
- insert() : icu::UnicodeString
- integer() : icu::number::Precision
- integerToken() : icu::Transliterator
- integerWidth() : icu::number::NumberFormatterSettings< Derived >
- inTemporalLeapYear() : icu::Calendar
- internalAddContractions() : icu::RuleBasedCollator
- internalBuildTailoring() : icu::RuleBasedCollator
- internalCompareUTF8() : icu::Collator, icu::RuleBasedCollator
- internalCreateInstance() : icu::NumberFormat
- internalForLocale() : icu::PluralRules
- internalGet() : icu::Calendar
- internalGetCEs() : icu::RuleBasedCollator
- internalGetCharString() : icu::Formattable
- internalGetContractionsAndExpansions() : icu::RuleBasedCollator
- internalGetEra() : icu::GregorianCalendar
- internalGetLocaleID() : icu::RuleBasedCollator
- internalGetMonth() : icu::Calendar
- internalGetShortDefinitionString() : icu::Collator, icu::RuleBasedCollator
- internalGetTime() : icu::Calendar
- internalMatch() : icu::LocaleMatcher
- internalNextSortKeyPart() : icu::Collator, icu::RuleBasedCollator
- internalSet() : icu::Calendar
- internalSetTime() : icu::Calendar
- isAlgorithmic() : icu::NumberingSystem
- isBogus() : icu::CollationKey, icu::Locale, icu::UnicodeSet, icu::UnicodeString
- isBoundary() : icu::BreakIterator, icu::RuleBasedBreakIterator
- isBufferClone() : icu::BreakIterator
- isCalendarLenient() : icu::DateFormat
- isClose() : icu::message2::data_model::Markup
- isComplex() : icu::ParagraphLayout
- isCustomCurrencySymbol() : icu::DecimalFormatSymbols
- isCustomIntlCurrencySymbol() : icu::DecimalFormatSymbols
- isDecimalFormatSymbols() : icu::number::impl::SymbolsWrapper
- isDecimalPatternMatchRequired() : icu::DecimalFormat
- isDecimalSeparatorAlwaysShown() : icu::DecimalFormat
- isDone() : icu::ParagraphLayout
- isEmpty() : icu::UnicodeSet, icu::UnicodeString
- isEquivalentTo() : icu::AnnualTimeZoneRule, icu::Calendar, icu::GregorianCalendar, icu::InitialTimeZoneRule, icu::TimeArrayTimeZoneRule, icu::TimeZoneRule
- isEra0CountingBackward() : icu::Calendar, icu::GregorianCalendar
- isEvaluated() : icu::message2::FormattedPlaceholder
- isExponentSignAlwaysShown() : icu::DecimalFormat
- isExpression() : icu::message2::data_model::PatternPart
- isFailure() : icu::ErrorCode
- isFallback() : icu::message2::FormattedPlaceholder
- isFieldUnitIgnored() : icu::SimpleDateFormat
- isFor() : icu::ExternalBreakEngine
- isFormatFailIfMoreThanMaxDigits() : icu::DecimalFormat
- isFrozen() : icu::UnicodeSet
- isFunctionCall() : icu::message2::data_model::Expression
- isGroupingUsed() : icu::NumberFormat
- isIgnorable() : icu::CollationElementIterator
- isInert() : icu::FilteredNormalizer2, icu::Normalizer2
- isKeyword() : icu::PluralRules
- isLeapYear() : icu::GregorianCalendar
- isLenient() : icu::Calendar, icu::DateFormat, icu::NumberFormat, icu::RuleBasedNumberFormat
- isLiteral() : icu::message2::data_model::Operand
- isLocal() : icu::message2::data_model::Binding
- isMarkup() : icu::message2::data_model::PatternPart
- isMatch() : icu::LocaleMatcher
- isNormalized() : icu::FilteredNormalizer2, icu::Normalizer2, icu::Normalizer
- isNormalizedUTF8() : icu::FilteredNormalizer2, icu::Normalizer2
- isNull() : icu::LocalPointerBase< T >, icu::message2::data_model::Operand
- isNullOperand() : icu::message2::FormattedPlaceholder
- isNumber() : icu::message2::FormattedValue
- isNumberingSystem() : icu::number::impl::SymbolsWrapper
- isNumeric() : icu::Formattable, icu::message2::Formattable
- isOpen() : icu::message2::data_model::Markup
- isParseCaseSensitive() : icu::DecimalFormat
- isParseIntegerOnly() : icu::NumberFormat
- isParseNoExponent() : icu::DecimalFormat
- isQuoted() : icu::message2::data_model::Literal
- isRightToLeft() : icu::Locale
- isScientificNotation() : icu::DecimalFormat
- isSet() : icu::Calendar, icu::number::impl::StringProp
- isSignAlwaysShown() : icu::DecimalFormat
- isStandalone() : icu::message2::data_model::Markup
- isStandaloneAnnotation() : icu::message2::data_model::Expression
- isString() : icu::message2::FormattedValue, icu::UnicodeSetIterator
- isSuccess() : icu::ErrorCode
- isText() : icu::message2::data_model::PatternPart
- isTransitionalDifferent() : icu::IDNAInfo
- isValid() : icu::LocalPointerBase< T >
- isVariable() : icu::message2::data_model::Operand
- isWeekend() : icu::Calendar
- isWildcard() : icu::message2::data_model::Key
- Iterator() : icu::BytesTrie::Iterator, icu::Edits::Iterator, icu::UCharsTrie::Iterator
- iterator() : U_HEADER_ONLY_NAMESPACE::CodePointRange::iterator